      function f1(x)

      if (0.le.x .and. x.le.2) then
         f1 = -4
      else if (2.lt.x .and. x.le.5) then
         f1 = 2.0*x - 8
      else if (5.lt.x .and. x.le.8) then
         f1 = 2
      else if (8.lt.x .and. x.le.10) then
         f1 = x - 6
      end if

      return
      end
